org.apache.solr.client.solrj.cloud.autoscaling

## Class NoneSuggester

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Suggester
  - - org.apache.solr.client.solrj.cloud.autoscaling.NoneSuggester

    public class NoneSuggester
    extends Suggester

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Suggester

`Suggester.Hint, Suggester.SuggestionInfo`

### Field Summary

Fields
`static NoneSuggester` `INSTANCE`

### Fields inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Suggester

`hints, originalViolations`

### Constructor Summary

Constructors
Constructor and Description
`NoneSuggester()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SolrRequest` `getSuggestion()`

### Methods inherited from class org.apache.solr.client.solrj.cloud.autoscaling.Suggester

`forceOperation, getSession, hint, isAllowed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final NoneSuggester INSTANCE

### Constructor Detail

#### NoneSuggester

    public NoneSuggester()

### Method Detail

#### getSuggestion

    public SolrRequest getSuggestion()

Overrides:
  `getSuggestion` in class `Suggester`